package com.gic.haoban.manage.service.pojo.bo.content.message;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author MUSI
 * @Date 2023/3/28 2:51 PM
 * @Description
 * @Version
 **/
@Data
public class InteractRecordMessageBO implements Serializable {


    /**
     * 企业id
     */
    private String enterpriseId;
    /**
     * 会员id
     */
    private String memberId;
    /**
     * 会员unionId
     */
    private String unionId;
    /**
     * 导购id
     */
    private String clerkId;
    /**
     * 门店id
     */
    private String storeId;
    /**
     * 素材id
     */
    private String materialId;
    /**
     * 来源渠道
     * 线索来源 1朋友圈; 2客户群; 3 对话框; 0其他
     */
    private Integer channelSource;
    /**
     * 事件类型 1浏览素材;2查看商品; 3购买商品
     */
    private Integer eventType;
    /**
     * 停留时长
     * 单位ms
     */
    private Integer durationTime;
    /**
     * 购买商品时的 订单id
     */
    private String orderId;
    /**
     * 查看商品时查看的商品id
     */
    private List<String> goodsIds;
    /**
     * 业务唯一标识
     */
    private String businessUUId;
    /**
     * 访问时间
     * 时间戳
     */
    private Long lastAccessTime;
}
